Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Flash not working on Opera 64

  • Hi guys

    Flash used to work fine yesterday, but it seems Opera updated to v64, and now Flash isn't working anymore. At least, it seems to be installed, I can see it in Opera settings, it's enabled, but websites like isflashinstalled.com say that it's not installed... Does anyone here got the same issue ?

    Thanks for your time and help

  • @shadowzyx Even without Flash installed on your system, you would see a Flash section in Settings page.

    Do you have the correct Flash installed? Did you added the site to the exception list?

  • @leocg Yes, have the latest version of flash, and I tried to add the site to the exception list, didn't work 😕

  • @shadowzyx And you have Flash for Opera/Chromium?

  • @leocg yes, I mean, I guess, since it worked with Opera 63

  • What distro are you on and how did you install flash for opera (or for any other chromium browser)?

  • @jimunderscorep I'm on Ubuntu 19.04, if I remember correctly I must've installed flash directly on adobe's website, I was on Chrome then. Switched recently to Opera 63, flash was still working until Opera 64

  • Make sure you have this file and in this path
    /usr/lib/adobe-flashplugin/libpepflashplayer.so
    since it is the first path opera checks for flash

    If you have it on a different path, use dpkg -S to tell you which package provided the file, e.g.
    $ dpkg -S /usr/lib/adobe-flashplugin/libpepflashplayer.so flashplayer-chromium: /usr/lib/adobe-flashplugin/libpepflashplayer.so

    (I am on debian, so the file is provided by package flashplayer-chromium from dmo repo)

    Adobe's page launches apt and installs adobe-flashplugin from ubuntu's partner repo, if you select the first option, aka "apt for debian/ubuntu", so the forementioned file should be on the right place.

  • @jimunderscorep said in Flash not working on Opera 64:

    /usr/lib/adobe-flashplugin/libpepflashplayer.so

    Yes, file is there

  • No idea then. Mine is on the same location and flash works as it should.

    Trick question :p
    Are you using the snap or the deb version of opera? If you do not know the answer, tell us how you installed it.

  • I'm having the same problem on Fedora 30 and I also installed Flash from Adobe's site. The videos can be seen when using Chrome in the same OS.

  • @jdandrews
    First of all make sure that the site(s) you mention do use flash. It's 2019 and 99% of the sites out there use html5 for their video content.

    Second, the sites probably use h264 and opera does not support it. For the why, check the post on my signature and use another browser for these sites, because fedora does not package chromium ffmpeg codecs.

    Third, as fas as flash is concerned, check it on a page that uses a flash element, e.g flash's about page here, and do not rely on sites that use javascript to detect it, e.g the one mentioned above.
    https://get.adobe.com/flashplayer/about/

  • I'm not sure about the 99% statistic. I realize Flash is on it's way out, but it looks to me like a number - lots - of sites are still using it. I went to Aljazeera's site, right clicked on a video that wouldn't play and chose "player information" (or something like that). It reported that the technology was Flash.

    When I went to the Adobe link you suggested, it told me to enable Flash and gave me a button to do so, even though I've checked it two or three times in Opera's settings and it was always enabled. After clicking on that button the flash video worked, but when I went back to Aljazeera, it still wouldn't work. So I tried a video on bbc.co.uk/news and got the message about enabling flash player again. So I clicked again and the video played. At the same time they showed a message saying I would have to upgrade my browser or device because in 2020 Flash would be history.

    Now, regarding H.264, Fedora does have GStreamer H.264 codec, which I installed, though I have no clue as to whether Opera can deal with it or not. After reading your message I poked around until I discovered that I could also install ffmpeg via the rpm fusion repository, so I did that too. And just to be sure, I then restarted my computer. It was after restarting that I did the above test at BBC and Aljazeera. So there's something else going on here and I guess that until someone figures it out, I'll have to use Chrome, at least for sites with videos that I want to see.

    Incidentally, I never have problems with youtube videos, which of course are html5

  • @jdandrews Have you tried to disable Flash in settings? Many sites that asks for Flash in Opera, start using HTML5 when Flash is disabled.

  • Tried it. No joy. On one site I noticed a little block icon pop up at the top right of the screen (with flash enabled or disabled). Clicking on it and choosing to play it made it work sort of. That is, the audio came through fine, but the video was very choppy. In my settings, when I have flash enabled, I don't have it blocking any site, so this doesn't really make any sense. When I disabled it at BBC's site they just tell me I can't see the video because I don't have flash enabled. At a Portuguese news site, with flash enabled, they tell me I can't view the video and suggest I get the latest version of Chrome.

  • Please point me to a video on al jazeera's site, because I can't find any. Everything I found under here points to a simple article of a few words
    https://www.aljazeera.com/video/

    As for bbc's site, it seems that it uses flash as a fallback option, like some other sites do. How did i find out? It plays on firefox and chromium, where I keep flash disabled.

    Regarding h264. Opera does not use gstreamer's library for h264 (maybe the presto opera did, but it is as dead as internet explorer). Opera uses its own libffmpeg, which does not support h264. And no matter what you may install, unless it is that libffmpeg from chromium ffmpeg codecs on ubuntu, it still does not use them.

    Last but not least, youtube (and only youtube) uses webm as a fallback for browsers like opera that do not support h264. Webm has several drawbacks compared to h264, e.g. lack of hardware acceleration.

  • RE Aljazeera's videos, I normally go to the bottom of their home page where there are a few videos along with a featured video. However, when I followed the link you gave there, I in fact saw several videos. With Flash enabled in Opera I was able to view them, but very, very choppy, useless really, but they were all there.

    If BBC is falling back to something else, I would have to assume that it's not WebM because when I disable Flash in Opera, I always get a notification that I have to install Flash to view the video.

    When I went to Opera's site to download the program, I noticed that it is definitely Ubuntu-oriented. I had to scrounge a bit to find the rpm version so I'm guessing that they have made a corporate decision to focus on Ubuntu and derivatives and possibly I will have to finally abandon Opera. It's not that I like Fedora better than Ubuntu, only that for the present Fedora is the only flavor of Linux that actually works right on my computer, at least of the 4 or 5 distros I've tried.

  • Hi @shadowzyx, you can check if you have installed the latest version of the plug-in .270 (I noticed, that sometimes Opera will refuse to use it, if the version is too old), and if not download it using this link - it should offer you to download "flash_player_ppapi_linux.x86_64.tar.gz" file, save it somewhere, and unpack the "libpepflashplayer.so" and "manifest.json" files to "/usr/lib/adobe-flashplugin".

    If it still doesn't work, try to run the opera with the switches as show below:
    /usr/bin/opera --ppapi-flash-path=/usr/lib/adobe-flashplugin/libpepflashplayer.so --ppapi-flash-version=32.0.0.270
    and see if this helps.

  • Hi @jdandrews, if you mean https://www.aljazeera.com/video (as @jimunderscorep mentioned it above), then the videos are served to replay using H.264 video codec + AAC for audio, and therefore all you need is correct version of "libffmpeg.so" lib, which you need to place on one of the paths, that are recognized by the Opera.

    For example, you can download one of the chromium-codecs-ffmpeg_77.0.3865.120 packages for x64 arch from here, e.g. this one, and unpack the "libffmpeg.so" file to "/usr/lib/chromium-browser/" folder, or if you don't want it be overwritten by some other version of that lib, you can copy it to "Opera's-installation-root/lib_extra" subfolder (you need to add it yourself). You can find the path of installation root in opera:about > Paths > Install (the default in your case should be /usr/lib64/opera).

  • Well, congratulations. That proved to be the magic answer. I confess I was skeptical going to an archive designed for Ubuntu, but after diving down through the archives, I found the file. It turns out I had a file by the same name in /usr/lib64/opera, but it was only about half the size. I overwrote it with the new file and voilá, everything is good. Thanks much!

  • @jdandrews That will work, but the one that you overwrote is the one that is included with Opera for non-proprietary codecs that Opera can update when necessary. If you overwrite it, it breaks updating of that file. The one you downloaded should go in the lib_extra folder you create for separation of concerns purposes. Not a big deal though.

Log in to reply